Emit - Nota de Crédito
Emitir Nota de Crédito
Emite uma Nota de Crédito, com origem no Documento de Venda com o ID fornecido.
Path Parameters
Name
Type
Description
Request Body
Name
Type
Description
curl -X POST https://api.cloudinvoice.net/documents/1470/emit_credit_note/
-d '{
"emission_reason": "Devolução",
"details": [
{
"id": 1122,
"base_qty": 1
},
{
"id": 1123
}
],
"finalize": true
}'{
"id": 1471,
"doc_key": "NCR A02/4",
"document_date": "2023-08-01",
"document_time": "15:50:29",
"document_number": 4,
"document_reference": "",
"our_reference": "",
"module_origin": 1,
"party_id": 2,
"line_details_count": 2,
"lines_total_quantity": 2.0,
"is_valued": true,
"is_tax_included": false,
"total_gross_amount": 6.07,
"global_discount1": 0.0,
"total_global_discount": 0.0,
"total_line_discount": 0.0,
"total_net_amount": 6.07,
"total_taxes_amount": 0.9361,
"total_amount": 7.01,
"total_document_amount": 7.01,
"total_round_amount": 0.0,
"total_due_amount": 7.01,
"due_date": "2023-08-01",
"is_converted": false,
"header_text": "",
"footer_text": "",
"number_of_prints": 0,
"is_transport_document": false,
"obs": "",
"has_withholding": false,
"document_nature_id": 305,
"document_id": 5,
"document": {
"code": "NCR",
"document_name": "Nota de Crédito",
"ask_payment_onclose": false
},
"document_serie_id": 3,
"document_serie": {
"code": "A02",
"description": "Série A02"
},
"document_status_id": 1202,
"warehouse_id": 1,
"warehouse": {
"code": 1,
"description": "Armazém 1"
},
"salesman_id": 2,
"salesman": {
"code": 2,
"salesman_name": "Vendedor 2"
},
"payment_term_id": 1,
"payment_term": {
"code": 1,
"description": "Pronto Pagamento"
},
"payment_method_id": null,
"payment_method": null,
"origin_document_header_id": 1470,
"origin_document_header": {
"doc_key": "FAC A02/31",
"document_name": "Factura"
},
"document_nature": {
"code": "NC",
"description": "Nota de Crédito"
},
"document_status": {
"code": "F",
"description": "Finalizado"
},
"party": {
"class": 1601,
"code": 2,
"name": "Cliente Demo",
"commercial_name": "",
"fiscal_number": "123456789",
"street1": "Desconhecido",
"street2": "",
"zip_code": "0000-000",
"zip_locale": "Desconhecido"
}
}Last updated